package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.CompanyEmailSendHistoryDO;
import com.simuwang.base.pojo.dto.query.CompanyEmailHistoryPageQuery;
import com.simuwang.base.pojo.dto.query.CompanyEmailPageQuery;
import com.simuwang.base.pojo.vo.CompanyEmailConfigVO;
import com.simuwang.base.pojo.vo.CompanyEmailSendHistoryVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * FileName: CompanyEmailSendHistoryMapper
 * Author:   chenjianhua
 * Date:     2024/9/9 10:19
 * Description: ${DESCRIPTION}
 */
@Mapper
public interface CompanyEmailSendHistoryMapper {
    public List<CompanyEmailSendHistoryDO> searchCompanyEmailList(CompanyEmailPageQuery companyEmailPageQuery);

    List<CompanyEmailSendHistoryDO> searchEmailHistory(CompanyEmailHistoryPageQuery companyEmailHistoryPageQuery);

    void deleteEmailHistory(@Param("emailList")List<String> email);

    void deleteEmailHistoryByIds(@Param("ids") List<Integer> idList);

    long countCompanyEmailList(CompanyEmailPageQuery companyEmailPageQuery);

    long countCompanyEmailhistory(CompanyEmailHistoryPageQuery companyEmailHistoryPageQuery);
}
